ch.qos.logback.core.boolex

## Class JaninoEventEvaluatorBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.boolex.EventEvaluatorBase<E>
    - - ch.qos.logback.core.boolex.JaninoEventEvaluatorBase<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  EventEvaluator<E>, ContextAware, LifeCycle

Direct Known Subclasses:
  JaninoEventEvaluator, JaninoEventEvaluator

    public abstract class JaninoEventEvaluatorBase<E>
    extends EventEvaluatorBase<E>

Abstract class which sets the groundwork for janino based evaluations.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static int` `ERROR_THRESHOLD`
`protected List<Matcher>` `matcherList`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`JaninoEventEvaluatorBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addMatcher(Matcher matcher)`
`boolean` `evaluate(E event)` Evaluates whether the event passed as parameter matches some user-specified criteria.
`protected abstract String` `getDecoratedExpression()`
`String` `getExpression()`
`List<Matcher>` `getMatcherList()`
`protected abstract String[]` `getParameterNames()`
`protected abstract Class<?>[]` `getParameterTypes()`
`protected abstract Object[]` `getParameterValues(E event)`
`void` `setExpression(String expression)`
`void` `start()`

### Methods inherited from class ch.qos.logback.core.boolex.EventEvaluatorBase

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Field Detail

#### ERROR_THRESHOLD

    public static final int ERROR_THRESHOLD

See Also:
  Constant Field Values

#### matcherList

    protected List<Matcher> matcherList

### Constructor Detail

#### JaninoEventEvaluatorBase

    public JaninoEventEvaluatorBase()

### Method Detail

#### getDecoratedExpression

    protected abstract String getDecoratedExpression()

#### getParameterNames

    protected abstract String[] getParameterNames()

#### getParameterTypes

    protected abstract Class<?>[] getParameterTypes()

#### getParameterValues

    protected abstract Object[] getParameterValues(E event)

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `EventEvaluatorBase<E>`

#### evaluate

    public boolean evaluate(E event)
                     throws EvaluationException

Description copied from interface: `EventEvaluator`
Evaluates whether the event passed as parameter matches some user-specified criteria.

The `Evaluator` is free to evaluate the event as it pleases. In particular, the evaluation results may depend on previous events.

Parameters:
  `event` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `EvaluationException` - may be thrown during faulty evaluation

#### getExpression

    public String getExpression()

#### setExpression

    public void setExpression(String expression)

#### addMatcher

    public void addMatcher(Matcher matcher)

#### getMatcherList

    public List<Matcher> getMatcherList()